Subject: Re: [Anima] I-D Action: draft-behringer-anima-autonomic-control-plane-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Fri, 30 Jan 2015 09:56:50 +1300

Hi authors of -autonomic-control-plane,

I was thinking of reviewing this draft as a potential application
of GDNP, but before I do that, are you planning an update soon?

    Brian

On 04/11/2014 10:36, Brian E Carpenter wrote:
> Hi,
> 
> This draft seems fairly clear to me, though I assume it will
> evolve as other aspects of anima become clear. The proposal
> to use a ULA prefix (section 3.7) seems good, since it
> decouples the ACP from all external addressing considerations
> and will work from a pure factory-reset condition. However,
> it does raise a question (which also came up in homenet
> recently). What happens if the network partitions? The ACP
> will automatically partition too, but it will presumably keep
> the same /48 ULA prefix everywhere. Does the partitioned network
> retain the same domain ID in both parts? What happends in the
> part that doesn't include the trust anchor? What happens if the
> network recombines - will there be a risk of clashing subnets
> created during the partition?
> 
> Also what happens if two previously unrelated networks combine?
> 
>    Brian
>